using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class Rang : BaseEntity
    {
        public int RangId { get; set; }
        public string RangName { get; set; }
        public string RangShortname { get; set; }
        public int RangOrder { get; set; }

        //generic Id
        public override int GetEntityId() => RangId;

        //generic ToString()
        public override string ToString() => $"RangId: {GetEntityId()}; Name: {RangName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}